## com.baidubce.services.vod.model
Class GetPlayerCodeRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.vod.model.GetPlayerCodeRequest

    public class GetPlayerCodeRequest

extends AbstractBceRequest

Constructor Summary
`GetPlayerCodeRequest()`

Method Summary
`int` `getHeight()` Gets the ETag value for the newly created object.
`String` `getMediaId()` Gets the media ID value for the media resource.
`int` `getWidth()` Gets the ETag value for the newly created object.
`Boolean` `isAutoStart()` Gets the ETag value for the newly created object.
`void` `setAutoStart(Boolean autoStart)` Sets the ETag value for the new object that was created from the associated `putObject` request.
`void` `setHeight(int height)` Sets the ETag value for the new object that was created from the associated `putObject` request.
`void` `setMediaId(String mediaId)` Sets the ETag value for the new object that was created from the associated `putObject` request.
`void` `setWidth(int width)` Sets the ETag value for the new object that was created from the associated `putObject` request.
`String` `toString()`
`GetPlayerCodeRequest` `withAutoStart(boolean autoStart)`
`GetPlayerCodeRequest` `withHeight(int height)`
`GetPlayerCodeRequest` `withMediaId(String mediaId)`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`
`GetPlayerCodeRequest` `withWidth(int width)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetPlayerCodeRequest

    public GetPlayerCodeRequest()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMediaId

    public String getMediaId()

  Gets the media ID value for the media resource.

  Returns:
    The ETag value for the new object.

### setMediaId

    public void setMediaId(String mediaId)

  Sets the ETag value for the new object that was created from the associated `putObject` request.

  Parameters:
    `eTag` - The ETag value for the new object.

### withMediaId

    public GetPlayerCodeRequest withMediaId(String mediaId)

### getWidth

    public int getWidth()

  Gets the ETag value for the newly created object.

  Returns:
    The ETag value for the new object.

### setWidth

    public void setWidth(int width)

  Sets the ETag value for the new object that was created from the associated `putObject` request.

  Parameters:
    `eTag` - The ETag value for the new object.

### withWidth

    public GetPlayerCodeRequest withWidth(int width)

### getHeight

    public int getHeight()

  Gets the ETag value for the newly created object.

  Returns:
    The ETag value for the new object.

### setHeight

    public void setHeight(int height)

  Sets the ETag value for the new object that was created from the associated `putObject` request.

  Parameters:
    `eTag` - The ETag value for the new object.

### withHeight

    public GetPlayerCodeRequest withHeight(int height)

### isAutoStart

    public Boolean isAutoStart()

  Gets the ETag value for the newly created object.

  Returns:
    The ETag value for the new object.

### setAutoStart

    public void setAutoStart(Boolean autoStart)

  Sets the ETag value for the new object that was created from the associated `putObject` request.

  Parameters:
    `eTag` - The ETag value for the new object.

### withAutoStart

    public GetPlayerCodeRequest withAutoStart(boolean autoStart)

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.